Page MenuHomePhabricator

Prepare and check storage layer for sahwikiquote
Closed, ResolvedPublic

Description

This is going to be a public wiki.

Event Timeline

Urbanecm triaged this task as Low priority.Jun 4 2018, 12:44 PM
Urbanecm created this task.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 4 2018, 12:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm raised the priority of this task from Low to Needs Triage.Jun 4 2018, 12:44 PM
Urbanecm moved this task from Backlog to Created on the User-Urbanecm board.
Urbanecm changed the task status from Open to Stalled.Jun 4 2018, 12:51 PM

Wiki will be created later.

Marostegui added a subscriber: Marostegui.

Let us know when this is created so we can sanitize it.

Mentioned in SAL (#wikimedia-operations) [2018-06-07T14:53:25Z] <marostegui> Sanitize wikis on db1095 (old sanitarium) - T196362 T196358 T196359 T195008 T193187

Mentioned in SAL (#wikimedia-operations) [2018-06-07T15:08:29Z] <marostegui> Sanitize wikis on db1124 (current sanitarium for s3) - T196362 T196358 T196359 T195008 T193187

Marostegui changed the task status from Stalled to Open.Jun 7 2018, 3:13 PM
Marostegui moved this task from Blocked external/Not db team to Done on the DBA board.
Marostegui added subscribers: Bstorm, bd808.

This wiki has been sanitized. Ready for the views creation cc @bd808 @Bstorm. We have to double check the script for the views works correctly before going for it as a default after changing how the grants are deployed.

Marostegui triaged this task as Medium priority.Jun 7 2018, 3:13 PM
Bstorm claimed this task.Jun 7 2018, 3:54 PM

@Bstorm in order not to block this on the issues we are having with the grant, I have manually run the database and grant creation on all the hosts.
Please feel free to proceed with the views creation

Done with scripts, when DNS creation is complete, will close.

Thank you, seems it is working.

urbanecm@tools-bastion-02 ~ 
$ sql --cluster=analytics sahwikiquote
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 8264282
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [sahwikiquote_p]> Bye
urbanecm@tools-bastion-02 ~ 
$ sql --cluster=web sahwikiquote
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 13225131
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [sahwikiquote_p]> Bye
urbanecm@tools-bastion-02 ~ 
$
Urbanecm closed this task as Resolved.Jun 12 2018, 3:02 PM

See above.

Vvjjkkii renamed this task from Prepare and check storage layer for sahwikiquote to tobaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Bstorm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Vachovec1 renamed this task from tobaaaaaaa to Prepare and check storage layer for sahwikiquote.Jul 1 2018, 4:48 PM
Vachovec1 closed this task as Resolved.
Vachovec1 assigned this task to Bstorm.
Vachovec1 lowered the priority of this task from High to Medium.
Vachovec1 updated the task description. (Show Details)
Vachovec1 added a subscriber: Aklapper.